Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ORBInitInfo Interface Reference

Inheritance diagram for PortableInterceptor::ORBInitInfo

[legend]
Collaboration diagram for PortableInterceptor::ORBInitInfo:

[legend]
List of all members.

## Public Types
typedef string | ObjectId
## Public Methods
void | register_initial_reference (in ObjectId id, in Object obj) raises (InvalidName)
Object | resolve_initial_references (in ObjectId id) raises (InvalidName)
void | add_client_request_interceptor ( in ClientRequestInterceptor interceptor) raises (DuplicateName)
void | add_server_request_interceptor ( in ServerRequestInterceptor interceptor) raises (DuplicateName)
void | add_ior_interceptor (in IORInterceptor interceptor) raises (DuplicateName)
SlotId | allocate_slot_id ()
void | register_policy_factory ( in CORBA::PolicyType type, in PolicyFactory policy_factory)
## Public Attributes
readonly attribute CORBA::StringSeq | arguments
readonly attribute string | orb_id
readonly attribute IOP::CodecFactory | codec_factory

## Member Typedef Documentation

typedef string PortableInterceptor::ORBInitInfo::ObjectId

## Member Function Documentation

void PortableInterceptor::ORBInitInfo::add_client_request_interceptor ( | in ClientRequestInterceptor interceptor ) raises (DuplicateName)

void PortableInterceptor::ORBInitInfo::add_ior_interceptor ( | in IORInterceptor interceptor ) raises (DuplicateName)

void PortableInterceptor::ORBInitInfo::add_server_request_interceptor ( | in ServerRequestInterceptor interceptor ) raises (DuplicateName)

SlotId PortableInterceptor::ORBInitInfo::allocate_slot_id ( | )

void PortableInterceptor::ORBInitInfo::register_initial_reference ( | in ObjectId id,
| in Object obj ) raises (InvalidName)

void PortableInterceptor::ORBInitInfo::register_policy_factory ( | in CORBA::PolicyType type,
| in PolicyFactory policy_factory )

Object PortableInterceptor::ORBInitInfo::resolve_initial_references ( | in ObjectId id ) raises (InvalidName)

## Member Data Documentation

readonly attribute CORBA::StringSeq PortableInterceptor::ORBInitInfo::arguments

readonly attribute IOP::CodecFactory PortableInterceptor::ORBInitInfo::codec_factory

readonly attribute string PortableInterceptor::ORBInitInfo::orb_id

The documentation for this interface was generated from the following file:

- PortableInterceptor.pidl